[Instantrails-users] iconv.dll error

Curt Hibbs curt.hibbs at gmail.com
Thu Feb 16 11:45:55 EST 2006

On 2/16/06, Mike Smith <msmith at remedymd.com> wrote:
> I get a popup error (winxp) when doing anything with Ruby.
> title: ruby.exe - Unable to Locate Component
> msg: This application has failed to start because iconv.dll was not
> found. Re-installing the application may fix this problem.
> Any suggestions? (no I haven't done any manual editing or deleting of
> files. that file exists in the instantrails directory structure in 3
> places:
> php
> php\extensions
> ruby\lib
> Any ideas?

Instant Rails 1.0 contains Ruby 1.8.4 from the ruby-mswin32 distribution
because the 1.8.4 version of the One-Click Installer wasn't ready yet.
Anyway, that distro enables iconv support but doesn't include iconv.dll. The
184-16 of the OCI in now available in a preview3 version that does contain
iconv.dll (but is still missing a c-based XML parser).

Can you try this for me. Follow the instructions on this page to get and
install iconv.dll and tell me if this fixes your problem? I'll bet that it
does, and this means that I should get out an IR 1.1 that upgrades the
included Ruby to the OCI.

Anyway, let me know if this fixes your problem.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/instantrails-users/attachments/20060216/f21970c1/attachment.htm

More information about the Instantrails-users mailing list